Bug 1597094 - "20" is default pagination for Subscriptions, but cannot actually be re-selected
Summary: "20" is default pagination for Subscriptions, but cannot actually be re-selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Amir
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 03:48 UTC by Corey Welton
Modified: 2019-11-05 23:26 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:03:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
20 does not actually appear in selector. (11.21 KB, image/png)
2018-07-02 03:58 UTC, Corey Welton
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24311 None None None 2018-07-19 14:34:58 UTC

Description Corey Welton 2018-07-02 03:48:51 UTC
Description of problem:
On the Subscriptions page, the default pagination is 20. However, if user changes it and tries to go back... well, their only options are "5, 10, 15, 25, 50".

Version-Release number of selected component (if applicable):
6.4.0 snap 10


How reproducible:


Steps to Reproduce:
1. Upload a manifest to an Org (presumably a manifest with many subs) and navigate to Subscriptions.
2.  Scroll to bottom of list, and note the default pagination.
3.  Select a different pagination option and reload
4.  Attempt to choose 20 again

Actual results:
"20" is not an option in the selector.


Expected results:
Obvious workaround is to navigate back to the subscriptions page via the UI.
But this is just silly.

I am not sure where in the UI, if anywhere, this is also a problem.


Additional info:

Comment 1 Corey Welton 2018-07-02 03:58:18 UTC
Created attachment 1455857 [details]
20 does not actually appear in selector.

Comment 3 Perry Gagne 2018-07-02 15:01:42 UTC
IMHO 25 should be the default. 

This also seems to be an issue on the repos page as well.

Comment 4 Corey Welton 2018-07-02 19:06:28 UTC
Changing component to WebUI as, per comment #3, it affects more than just the Subs page.

Comment 5 Tomas Strachota 2018-07-03 11:36:53 UTC
Pagination behaves like this when the default value in settings is configured to a value that's not in the list. Corey, could you look into your settings what value is there, please?

Comment 6 Corey Welton 2018-07-03 12:56:39 UTC
I suppose that's the point; either the default value in the setting should be one of those in the pagination page, or the default value should be added to the options.

It is strange experience from from a UI/user perspective, not to be able to return back to whatever the default value is.

Comment 7 Walden Raines 2018-07-06 14:10:40 UTC
(In reply to Corey Welton from comment #6)
> I suppose that's the point; either the default value in the setting should
> be one of those in the pagination page, or the default value should be added
> to the options.
> 
> It is strange experience from from a UI/user perspective, not to be able to
> return back to whatever the default value is.

I think we should probably prepend the per page setting to the list of selectable values unless it equals one of the values already in the list.

Comment 8 Walden Raines 2018-07-19 14:34:56 UTC
Created redmine issue https://projects.theforeman.org/issues/24311 from this bug

Comment 9 pm-sat@redhat.com 2018-07-26 14:18:35 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 10 pm-sat@redhat.com 2018-07-26 14:18:39 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 11 pm-sat@redhat.com 2018-07-26 20:18:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24311 has been resolved.

Comment 13 Martin Korbel 2018-08-22 07:58:07 UTC
VERIFIED on Sat6.4#18

Reproducer via comment #0

Comment 15 Bryan Kearney 2018-10-16 19:03:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.